import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/manufacturerlist/manufacturerlist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/manufacturerlist/manufacturerlist_cache_event.dart';

Future<bool> cacheSetManufacturerList(BuildContext context, List value) async {
  try {
    final manufacturerListCache = context.read<ManufacturerListBloc>();
    manufacturerListCache.add(ManufacturerListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
